package modules;

import java.io.FileNotFoundException;
import java.io.PrintWriter;


public class VirusCleanup {

    // File used to log status and error messages
    final String LOGS_FILENAME  = "logs.txt";
    PrintWriter logsFile;


    /*
     * Constructor
     */
    public VirusCleanup() {
        // Automatically create a custom file for writing logs and statuses
        try {
            this.logsFile = new PrintWriter(LOGS_FILENAME);

        } catch (FileNotFoundException e) {
            this.logsFile = null;
        }
    }

    /*
     * Close open resources
     */

    public void close()   
    {   
        this.logsFile.close();   
    }  


    /*
     * Displays a message to the user.
     */
    public void display(String message, boolean isFullLine) {
        if (isFullLine) System.out.println(message);
        else System.out.print(message);
    }

    /*
     * Save a message to a logs file
     */
    public void log(String message, boolean isFullLine) {
        // Send message for writing
        if (isFullLine) this.logsFile.println(message);
        else this.logsFile.print(message);
    }

    /*
     * Displays and logs the message at the same time
     */
    public void displayAndLog(String message, boolean isFullLine) {
        display(message, isFullLine);
        log(message, isFullLine);
    }

    /*
     * Define the rest of your virus clean up methods below... [Remove this comment once read]
     */

}